SystemOrganization addCategory: #'JQWidgetBox-Spinner-Dev'!

JQWidgetExample subclass: #JQSpinnerExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Spinner-Dev'!

!JQSpinnerExample classSide methodsFor: 'accessing' stamp: 'JohnToohey 11/17/2009 11:56'!
description
	^ 'JQuery Spinner'! !

!JQSpinnerExample classSide methodsFor: 'accessing' stamp: 'JohnToohey 11/17/2009 11:56'!
shortName
	^ 'spinner'! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:48'!
renderContentOn: html
	
	html span: 'Standard: '.
	self renderStandardSpinnerOn: html.
	html horizontalRule.	
	
	html span: 'Fast: '.
	self renderFastSpinnerOn: html.
	html horizontalRule.
	
	html span: 'Fast (Step 5)): '.
	self renderFastStepSpinnerOn: html.
	html horizontalRule.
		
	html span: 'Decimal places: '.
	self renderDecimalPlacesSpinnerOn: html.
	html horizontalRule.
			
	html span: 'Currency: '.
	self renderCurrencySpinnerOn: html.
	html horizontalRule.		
		
	html span: 'Percentage: '.
	self renderPercentageSpinnerOn: html.
	html horizontalRule.			
			
	html span: 'On Focus Spinner: '.
	self renderOnFocusSpinnerOn: html.
	html horizontalRule.				
			
	html span: 'On Hover Spinner: '.
	self renderOnHoverSpinnerOn: html.
	html horizontalRule.								! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:14'!
renderCurrencySpinnerOn: html
	|id|
	
	id := html nextId.	
	html textInput 
		id: id;
		size: 6;
		script: ((html jQuery id: id) 
				spinner 
					min: 1;
			 		max:10000;
					prefix: '$';
					group: ',';
					showAlways
			).
! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:49'!
renderDecimalPlacesSpinnerOn: html
	|id|
	
	id := html nextId.	
	html textInput 
		id: id;
		size: 6;
		script: ((html jQuery id: id) 
			spinner 
				min: 1;
			 	max:100;
				decimalPoint: ',';
				decimalPlaces: 2;
				step: 0.5;
				fast;
				showAlways
		)
! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:14'!
renderFastSpinnerOn: html
	|id|
	
	id := html nextId.	
	html textInput 
		id: id;
		size: 6;
		script: ((html jQuery id: id) 
			spinner 
				min: 1;
			 	max:100;
				fast;
				showAlways
		)
! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:45'!
renderFastStepSpinnerOn: html
	|id|
	
	id := html nextId.	
	html textInput 
		id: id;
		size: 6;
		script: ((html jQuery id: id) 
			spinner 
				min: -100;
			 	max:1000;
				step: 5;
				fast;
				showAlways
		)
! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:44'!
renderOnFocusSpinnerOn: html
	|id|
	
	id := html nextId.	
	html textInput 
		id: id;
		size: 6;
		script: ((html jQuery id: id) 
			spinner 
				min: -100;
			 	max:100;
				fast;
				showOnFocus
		)
! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:44'!
renderOnHoverSpinnerOn: html
	|id|
	
	id := html nextId.	
	html textInput 
		id: id;
		size: 6;
		script: ((html jQuery id: id) 
			spinner 
				min: -100;
			 	max:100;
				fast;
				showOnHover
		)
! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:32'!
renderPercentageSpinnerOn: html
	|id|
	id := html nextId.	
	html textInput 
		id: id;
		size: 6;
		script: ((html jQuery id: id) 
			spinner 
				min: 1;
			 	max:100;
				fast;
				suffix: '%';
				showAlways
		)

! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:52'!
renderStandardSpinnerOn: html
	|id|
	
	id := html nextId.	
	html textInput 
		id: id;
		size: 6;
		script: ((html jQuery id: id) 
			spinner 
				min: -100;
			 	max:100;
				showAlways
		).
		
	html button
		bePush;
		onClick: ((html jQuery id: id) spinner enable);
		with: 'Enable'.		
		
	html button
		bePush;
		onClick: ((html jQuery id: id) spinner disable);
		with: 'Disable'.		
		
! !

!JQSpinnerExample methodsFor: 'rendering' stamp: 'JohnToohey 11/17/2009 13:29'!
renderTextSpinnerOn: html
	|id|
	
	id := html nextId.	
	html select 
		id: id;
		list:#('Bailey' 'Rockall' 'Shannon' 'Sole' 'Fastnet' 'Lundy' 'Plymouth' 'Portland' 'Wight' 'Dover' 'Thames' 'Humber' 'Dogger');
		script: ((html jQuery id: id) 
			spinner 
				showAlways
		)		
			
! !

!JQSpinnerExample methodsFor: 'updating' stamp: 'JohnToohey 11/17/2009 12:18'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
     anHtmlRoot javascript url: self library / #uispinnerminJs.
	anHtmlRoot stylesheet url: self library / #uispinnerCss! !

JQWidgetBoxWidgetTest subclass: #JQSpinnerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Spinner-Dev'!

!JQSpinnerTest methodsFor: 'testing' stamp: 'TestRunner 11/17/2009 14:13'!
testClassName
	self
		assert: ((self jQuery: 'spinner') spinner className: 'myclass')
		equals: self function , '("spinner").spinner({className:"myclass"})'.
! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 14:05'!
testDecimals
	self
		assert: ((self jQuery: 'spinner') spinner decimalPoint: ',')
		equals: self function , '("spinner").spinner({point:","})'.
	self
		assert: ((self jQuery: 'spinner') spinner decimalPlaces:2)
		equals: self function , '("spinner").spinner({places:2})'.! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 14:00'!
testDestroy
	self
		assert: ((self jQuery: 'spinner') spinner destroy)
		equals: self function , '("spinner").spinner("destroy")'.! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 13:58'!
testDisable
	self
		assert: ((self jQuery: 'spinner') spinner disable)
		equals: self function , '("spinner").spinner("disable")'.! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'TestRunner 11/17/2009 13:59'!
testEnable
	self
		assert: ((self jQuery: 'spinner') spinner enable)
		equals: self function , '("spinner").spinner("enable")'.! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 14:08'!
testGroup
	self
		assert: ((self jQuery: 'spinner') spinner group: ',')
		equals: self function , '("spinner").spinner({group:","})'.
! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'TestRunner 11/17/2009 14:10'!
testMinMax
	self
		assert: ((self jQuery: 'spinner') spinner min: 1; max: 100)
		equals: self function , '("spinner").spinner({min:1,max:100})'.
! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 14:06'!
testPrefix
	self
		assert: ((self jQuery: 'spinner') spinner prefix: '$')
		equals: self function , '("spinner").spinner({prefix:"$"})'.
! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 14:03'!
testSpeeds
	self
		assert: ((self jQuery: 'spinner') spinner fast)
		equals: self function , '("spinner").spinner({increment:"fast"})'.
	self
		assert: ((self jQuery: 'spinner') spinner slow)
		equals: self function , '("spinner").spinner({increment:"slow"})'.! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 14:11'!
testStep
	self
		assert: ((self jQuery: 'spinner') spinner step: 2)
		equals: self function , '("spinner").spinner({step:2})'.
! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 14:11'!
testSteps
	self
		assert: ((self jQuery: 'spinner') spinner step: 2)
		equals: self function , '("spinner").spinner({step:2})'.

	self
		assert: ((self jQuery: 'spinner') spinner largeStep: 2)
		equals: self function , '("spinner").spinner({largeStep:2})'.! !

!JQSpinnerTest methodsFor: 'testing' stamp: 'JohnToohey 11/17/2009 14:07'!
testSuffix
	self
		assert: ((self jQuery: 'spinner') spinner suffix: '%')
		equals: self function , '("spinner").spinner({suffix:"%"})'.
! !
